Subject: Re: [PATCH v3 02/12] netlink: spec: add shaper YAML spec

From: Donald Hunter <[email-masked]>
Date: Wed, 14 Aug 2024 09:56:42 +0100

Paolo Abeni <[email-masked]> writes:

> On 8/13/24 16:12, Jakub Kicinski wrote:
>> To me using input / output is more intuitive, as it matches direction
>> of traffic flow. I'm fine with root / leaf tho, as I said.
>
> Can we converge on root / leaf ?
>
>>>>> subtree_set() ?
>>>>
>>>> The operation is grouping inputs and creating a scheduler node.
>>>
>>> Creating a node inside a tree, isn't it? Therefore subtree.
>> All nodes are inside the tree.
>> 
>>> But it could be unified to node_set() as Paolo suggested. That would
>>> work for any node, including leaf, tree, non-existent internal node.
>> A "set" operation which creates a node.
>
> Here the outcome is unclear to me. My understanding is that group() does not fit Jiri nor Donald
> and and node_set() or subtree_set() do not fit Jakub.

I found group() confusing because it does not imply creation. So
create-group() would be fine. But it seems like creating a group is a
step towards creating a scheduler node?